<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.util.genarr.ArrayIterable
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.util.genarr.ArrayIterable";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/util/genarr/class-use/ArrayIterable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArrayIterable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.util.genarr.ArrayIterable</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic"><B>ch.javasoft.metabolic</B></A></TD>
<TD>The <tt>metabolic</tt> package contains interfaces for metabolic networks; 
subpackages contain default implementations or interfaces and helper classes
related to such networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.compartment"><B>ch.javasoft.metabolic.compartment</B></A></TD>
<TD>The <tt>compartment</tt> subpackage contains implementations for 
compartmentalized <A HREF="../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.impl"><B>ch.javasoft.metabolic.impl</B></A></TD>
<TD>The <tt>impl</tt> subpackage contains implementations for the interfaces of the
<A HREF="../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolite</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.parse"><B>ch.javasoft.metabolic.parse</B></A></TD>
<TD>The <tt>parse</tt> package and subpackages contain classes implementing 
parsers for different source formats used for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.util.genarr"><B>ch.javasoft.util.genarr</B></A></TD>
<TD><i>Deprecated</i> &mdash; the <tt>util.genarr</tt> package contains classes 
implementing array-like classes for generic element types.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A> that return <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Reaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/Reaction.html#getEductRatios()">getEductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic"><CODE>ratios</CODE></A> associated with product 
 metabolites, that is, the ratio values are negative</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Reaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/Reaction.html#getMetaboliteRatios()">getMetaboliteRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic"><CODE>ratios</CODE></A> associated with educt and
 product metabolites; ratios are negative for educts and positive for
 products</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the list of all metabolites</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Reaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/Reaction.html#getProductRatios()">getProductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic"><CODE>ratios</CODE></A> associated with educt and
 metabolites, that is, the ratio values are positive</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the list of all reactions</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getReactions(ch.javasoft.metabolic.Metabolite)">getReactions</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&nbsp;metabolite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the reactions in which the given metabolite participates, either
 as product or as educt.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.compartment"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A> that return <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getEductRatios()">getEductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getEductRatiosExcludeCompartment(java.lang.String)">getEductRatiosExcludeCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getEductRatiosForCompartment(java.lang.String)">getEductRatiosForCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getMetabolieRatiosExcludeCompartment(java.lang.String)">getMetabolieRatiosExcludeCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getMetabolieRatiosForCompartment(java.lang.String)">getMetabolieRatiosForCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getMetaboliteRatios()">getMetaboliteRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html#getMetabolitesForCompartment(java.lang.String)">getMetabolitesForCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getProductRatios()">getProductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getProductRatiosExcludeCompartment(java.lang.String)">getProductRatiosExcludeCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#getProductRatiosForCompartment(java.lang.String)">getProductRatiosForCompartment</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;compartment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html" title="class in ch.javasoft.metabolic.compartment">CompartmentReaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html" title="class in ch.javasoft.metabolic.compartment">CompartmentReaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompartmentMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html#getReactions(ch.javasoft.metabolic.Metabolite)">getReactions</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&nbsp;metabolite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A> with parameters of type <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#CompartmentReaction(java.lang.String, java.lang.String, ch.javasoft.util.genarr.ArrayIterable, boolean)">CompartmentReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fullName,
                                       <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;&nbsp;metaboliteRatios,
                                       boolean&nbsp;reversible)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html#CompartmentReaction(java.lang.String, java.lang.String, ch.javasoft.util.genarr.ArrayIterable, ch.javasoft.metabolic.ReactionConstraints)">CompartmentReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fullName,
                                       <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetaboliteRatio</A>&gt;&nbsp;metaboliteRatios,
                                       <A HREF="../../../../../ch/javasoft/metabolic/ReactionConstraints.html" title="interface in ch.javasoft.metabolic">ReactionConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> that return <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/AbstractReaction.html#getEductRatios()">getEductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/DefaultReaction.html#getMetaboliteRatios()">getMetaboliteRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/AbstractReaction.html#getMetaboliteRatios()">getMetaboliteRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NormalizedRatiosReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/NormalizedRatiosReaction.html#getMetaboliteRatios()">getMetaboliteRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FilteredMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FilteredMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/StoichMatrixMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ConstrainedReversibilitiesMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/ConstrainedReversibilitiesMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getMetabolites()">getMetabolites</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractReaction.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/AbstractReaction.html#getProductRatios()">getProductRatios</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FilteredMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FilteredMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/StoichMatrixMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ConstrainedReversibilitiesMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/ConstrainedReversibilitiesMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/AbstractMetabolicNetwork.html#getReactions(ch.javasoft.metabolic.Metabolite)">getReactions</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&nbsp;metabolite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/impl/DefaultReaction.html#DefaultReaction(java.lang.String, ch.javasoft.util.genarr.ArrayIterable, boolean)">DefaultReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                               <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;&nbsp;metaboliteRatios,
                               boolean&nbsp;reversible)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/impl/DefaultReaction.html#DefaultReaction(java.lang.String, ch.javasoft.util.genarr.ArrayIterable, ch.javasoft.metabolic.ReactionConstraints)">DefaultReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                               <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>&gt;&nbsp;metaboliteRatios,
                               <A HREF="../../../../../ch/javasoft/metabolic/ReactionConstraints.html" title="interface in ch.javasoft.metabolic">ReactionConstraints</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.parse"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A> that return <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FluxAnalyserParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/FluxAnalyserParser.html#parseEfms(ch.javasoft.metabolic.MetabolicNetwork, java.io.BufferedReader, int, boolean)">parseEfms</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/BufferedReader.html" title="class or interface in java.io">BufferedReader</A>&nbsp;reader,
                   int&nbsp;precision,
                   boolean&nbsp;normalizeMax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FluxAnalyserParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/FluxAnalyserParser.html#parseEfms(ch.javasoft.metabolic.MetabolicNetwork, java.io.File, int, boolean)">parseEfms</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
                   int&nbsp;precision,
                   boolean&nbsp;normalizeMax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FluxAnalyserParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/FluxAnalyserParser.html#parseEfms(ch.javasoft.metabolic.MetabolicNetwork, java.io.InputStream, int, boolean)">parseEfms</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in,
                   int&nbsp;precision,
                   boolean&nbsp;normalizeMax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FluxAnalyserParser.</B><B><A HREF="../../../../../ch/javasoft/metabolic/parse/FluxAnalyserParser.html#parseEfms(ch.javasoft.metabolic.MetabolicNetwork, java.io.Reader, int, boolean)">parseEfms</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;reader,
                   int&nbsp;precision,
                   boolean&nbsp;normalizeMax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.util.genarr"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/util/genarr/package-summary.html">ch.javasoft.util.genarr</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A> in <A HREF="../../../../../ch/javasoft/util/genarr/package-summary.html">ch.javasoft.util.genarr</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/util/genarr/package-summary.html">ch.javasoft.util.genarr</A> that implement <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr">GenericFixSizeArray&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/util/genarr/ListArrayIterable.html" title="class in ch.javasoft.util.genarr">ListArrayIterable&lt;T&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/util/genarr/class-use/ArrayIterable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ArrayIterable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
